UMLe Extensibility Object Library

Object Model


References

FileName | Version | Size | Description
STDOLE2.TLB | 2.40.4275.1 | 17920 | OLE Automation
UMLeDSS.dll | 0.1.0.0 | 167936 | UMLe Data Structure Server
COMDLG32.OCX | 6.0.84.18 | 140288 | MSComDlg
MSCOMCTL.OCX | 6.0.84.98 | 1064456 | MSComctlLib
TABCTL32.OCX | 6.0.84.18 | 209408 | TabDlg
COMCT332.OCX | 6.0.0.8450 | 414944 | ComCtl3
UMLeAX.ocx | 0.1.0.0 | 245760 | UMLeAX
COMMANDBOX.OCX | 1.0.0.3 | 86016 | CommandBoxControl


ActiveEditor object


AddIn object

This is the Add-In object. It represents a registered Add-In. Please note that every registered UMLe Add-In wil it's Add-In object even if it is not connected to the main aplication.


AddInManager object


Application object

This is the main application object. This is the only externally creatable object. From here you can load and save projects, view cells etc.


EditorWindow object

This object represents an Editor window


Global object


Interface object

This is the Interface object. From here the applications interface can be manipulated.


MainWindow object

This object implements the main UMLe window's features.


Menu object


ProjectExplorer object

This is th object that implements th Project Explorer window


Selection object


Settings object

This is the object that stores and retrieves the aplication's settings from the system registry.


TemplateWizard object


Toolbox object


ToolButton object

This object implements the tool button object.


UMLeAddIn object

This is the Class template for new AddIn-Ins. All new AddIns must implement this standart interface in order to be recognized by the environment


AddIns collection

Collection type

An AddIns collection.

Syntax

[Set] object.AddIns [= AddIns]

The AddIns property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
AddIns | An AddIns collection.


AddIns collection


EditorWindows collection

Collection type

An EditorWindows collection.

Syntax

[Set] object.EditorWindows [= EditorWindows]

The EditorWindows property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
EditorWindows | An EditorWindows collection.


EditorWindows collection

This collection contains all the Editor windows opened.


Menus collection

Collection type

A Menus collection.

Syntax

[Set] object.Menus [= Menus]

The Menus property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
Menus | A Menus collection.


Menus collection


SelectedCellInstances collection

This is the CellInstances collection that assembles all the currently selected CellInstances in the current ActiveCell

Collection type

A Collection object.

Syntax

[Set] object.SelectedCellInstances [= Collection]

The SelectedCellInstances property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
Collection | A Collection object.


SelectedRectangles collection

Collection type

A Collection object.

Syntax

[Set] object.SelectedRectangles [= Collection]

The SelectedRectangles property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
Collection | A Collection object.


TemplateWizards collection

Collection type

A TemplateWizards collection.

Syntax

[Set] object.TemplateWizards [= TemplateWizards]

The TemplateWizards property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
TemplateWizards | A TemplateWizards collection.


TemplateWizards collection


ToolButtons collection

Collection type

A ToolButtons collection.

Syntax

[Set] object.ToolButtons [= ToolButtons]

The ToolButtons property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Toolbox.
ToolButtons | A ToolButtons collection.


ToolButtons collection


Add method

This function adds a new AddIn to the application. The Add-In must be registered for the Add-In object to be created.

Return Type

An AddIn object.

Syntax

object.Add (ClassName, LoadOnStartUp, FriendlyName, Description)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.
ClassName | Required. A String value.
LoadOnStartUp | Required. A Boolean value.
FriendlyName | Required. A String value.
Description | Required. A String value.


Add method

Return Type

An EditorWindow object.

Syntax

object.Add (Cell)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.
Cell | Required. A Cell object.


Add method

Return Type

A TemplateWizard object.

Syntax

object.Add (Key, Image, Name)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.
Key | Required. A String value.
Image | Required. A StdPicture object.
Name | Required. A String value.


Add method

Return Type

A ToolButton object.

Syntax

object.Add (Enabled, Image, Key, ToolTipText, Visible)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.
Enabled | Required. A Boolean value.
Image | Required. An IPictureDisp object.
Key | Required. A String value.
ToolTipText | Required. A String value.
Visible | Required. A Boolean value.


AddAddInMenu method

Return Type

A Menu object.

Syntax

object.AddAddInMenu (Caption, Checked, Enabled, Visible, Key)

The AddAddInMenu method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.
Caption | Required. A String value.
Checked | Required. A Boolean value.
Enabled | Required. A Boolean value.
Visible | Required. A Boolean value.
Key | Required. A String value.


Load method

This method loads the Application settings from the system registry.

Syntax

object.Load

The Load method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Settings.


Log method

Syntax

object.Log Message

The Log method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
Message | Required. A String value.


OnConnection method

This is the method that anwsers to the call for connection from the environment

Syntax

object.OnConnection UMLeApplication

The OnConnection method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type UMLeAddIn.
UMLeApplication | Required. An Object object.


OnDisconnection method

This is the method that anwsers to the call for disconnection from the environment

Syntax

object.OnDisconnection

The OnDisconnection method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type UMLeAddIn.


OpenProject method

Return Type

A Boolean value.

Syntax

object.OpenProject ([FileName[, PromptToSave]])

The OpenProject method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
FileName | Optional. A String value.
PromptToSave | Optional. A Boolean value.


PromptToSave method

Return Type

A Boolean value.

Syntax

object.PromptToSave

The PromptToSave method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.


Quit method

Syntax

object.Quit

The Quit method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.


Quit method

Syntax

object.Quit

The Quit method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.


Quit method

Syntax

object.Quit

The Quit method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Toolbox.


Refresh method

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddInManager.


Refresh method

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.


Refresh method

Refreshs the main window's contents.

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MainWindow.


Refresh method

This method refreshes the contents of the project explorer window.

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.


Refresh method

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Toolbox.


RegisterAddIn method

Syntax

object.RegisterAddIn ClassName, LoadOnStartUp, FriendlyName, Description

The RegisterAddIn method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Global.
ClassName | Required. A String value.
LoadOnStartUp | Required. A Boolean value.
FriendlyName | Required. A Variant value.
Description | Required. A Variant value.


Reload method

Return Type

A Variant value.

Syntax

object.Reload

The Reload method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.


Remove method

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.
vntIndexKey | Required. A Variant value.


Remove method

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.
vntIndexKey | Required. A Variant value.


Remove method

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.
vntIndexKey | Required. A Variant value.


Remove method

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.
vntIndexKey | Required. A Variant value.


Remove method

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.
vntIndexKey | Required. A Variant value.


Save method

This method Saves the Application settings to the system registry.

Syntax

object.Save

The Save method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Settings.


SaveProject method

Return Type

A Boolean value.

Syntax

object.SaveProject ([FileName[, PromptToSave]])

The SaveProject method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
FileName | Optional. A String value.
PromptToSave | Optional. A Boolean value.


Show method

Shows the main window's contents.

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddInManager.


Show method

Shows the main window's contents.

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MainWindow.


Show method

This method shows the project explorer window.

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.


Show method

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Toolbox.


Start method

Syntax

object.Start

The Start method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.


UnRegisterAddIn method

Syntax

object.UnRegisterAddIn ClassName

The UnRegisterAddIn method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Global.
ClassName | Required. A String value.


ActiveCell property

Property type

A Cell object.

Syntax

[Set] object.ActiveCell [= Cell]

The ActiveCell property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
Cell | A Cell object.


ActiveEditor property

Property type

An ActiveEditor object.

Syntax

[Set] object.ActiveEditor [= ActiveEditor]

The ActiveEditor property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
ActiveEditor | An ActiveEditor object.


ActiveLayer property

Property type

An UMLeDSS.Layer object.

Syntax

[Set] object.ActiveLayer [= UMLeDSS.Layer]

The ActiveLayer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
UMLeDSS.Layer | An UMLeDSS.Layer object.


ActiveTool property

Property type

An UMLeEditorTypeConstants value.

Syntax

[Set] object.ActiveTool [= UMLeEditorTypeConstants]

The ActiveTool property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
UMLeEditorTypeConstants | An UMLeEditorTypeConstants value.


AddInManager property

Property type

An AddInManager object.

Syntax

[Set] object.AddInManager [= AddInManager]

The AddInManager property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
AddInManager | An AddInManager object.


AddInObject property

This is the AddIns object. It is created at runtime. This object must conform with the UMLeAddIn interface. This means that all methods must be implemented.

Property type

An UMLeAddIn object.

Syntax

[Set] object.AddInObject [= UMLeAddIn]

The AddInObject property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
UMLeAddIn | An UMLeAddIn object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ActiveEditor.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddInManager.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindow.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MainWindow.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menu.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Selection.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Settings.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizard.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Toolbox.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
Application | An Application object.


Application property

Property type

An Application object.

Syntax

[Set] object.Application [= Application]

The Application property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.
Application | An Application object.


Caption property

Property type

A String value.

Syntax

object.Caption [= value]

The Caption property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menu.
value | A String value.


Checked property

Property type

A Boolean value.

Syntax

object.Checked [= value]

The Checked property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menu.
value | A Boolean value.


ClassName property

This is the name of the Add-In class used to create to Add-In object ( by usign the CreateObject function ).

Property type

A String value.

Syntax

object.ClassName [= value]

The ClassName property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
value | A String value.


Count property

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.


Count property

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.


Count property

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.


Count property

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.


Count property

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.


Description property

This is the Add-In's description. It is stored in the Windows system registry.

Property type

A String value.

Syntax

object.Description [= value]

The Description property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
value | A String value.


Enabled property

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menu.
value | A Boolean value.


Enabled property

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
value | A Boolean value.


FriendlyName property

This is the Add-In's user friendly name ( e.g. "UMLe Clock Router" ).

Property type

A String value.

Syntax

object.FriendlyName [= value]

The FriendlyName property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
value | A String value.


Image property

Property type

A StdPicture object.

Syntax

[Set] object.Image [= StdPicture]

The Image property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizard.
StdPicture | A StdPicture object.


Image property

Property type

An IPictureDisp object.

Syntax

[Set] object.Image [= IPictureDisp]

The Image property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
IPictureDisp | An IPictureDisp object.


Interface property

Property type

An Interface object.

Syntax

[Set] object.Interface [= Interface]

The Interface property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
Interface | An Interface object.


Item property

Property type

An AddIn object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.
vntIndexKey | Required. A Variant value.


Item property

Property type

An EditorWindow object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.
vntIndexKey | Required. A Variant value.


Item property

Property type

A Menu object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.
vntIndexKey | Required. A Variant value.


Item property

Property type

A TemplateWizard object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.
vntIndexKey | Required. A Variant value.


Item property

Property type

A ToolButton object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.
vntIndexKey | Required. A Variant value.


Key property

Property type

A String value.

Syntax

object.Key [= value]

The Key property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindow.
value | A String value.


Key property

Property type

A String value.

Syntax

object.Key [= value]

The Key property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizard.
value | A String value.


Key property

Property type

A String value.

Syntax

object.Key [= value]

The Key property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
value | A String value.


LayoutProject property

Property type

A LayoutProject object.

Syntax

[Set] object.LayoutProject [= LayoutProject]

The LayoutProject property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
LayoutProject | A LayoutProject object.


LoadOnStartUp property

This property returns a boolean indicating if an Add-In should be loaded on the aplications startup.

Property type

A Boolean value.

Syntax

object.LoadOnStartUp [= value]

The LoadOnStartUp property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
value | A Boolean value.


LogWindow property

Property type

A LogWindow object.

Syntax

[Set] object.LogWindow [= LogWindow]

The LogWindow property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
LogWindow | A LogWindow object.


MainWindow property

Property type

A MainWindow object.

Syntax

[Set] object.MainWindow [= MainWindow]

The MainWindow property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
MainWindow | A MainWindow object.


Name property

Property type

A String value.

Syntax

object.Name [= value]

The Name property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizard.
value | A String value.


NewEnum property

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIns.


NewEnum property

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type EditorWindows.


NewEnum property

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menus.


NewEnum property

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type TemplateWizards.


NewEnum property

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButtons.


ProjectExplorer property

Property type

A ProjectExplorer object.

Syntax

[Set] object.ProjectExplorer [= ProjectExplorer]

The ProjectExplorer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
ProjectExplorer | A ProjectExplorer object.


Selection property

Property type

A Selection object.

Syntax

[Set] object.Selection [= Selection]

The Selection property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
Selection | A Selection object.


Settings property

Property type

A Settings object.

Syntax

[Set] object.Settings [= Settings]

The Settings property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
Settings | A Settings object.


State property

Property type

An UMLeApplicationStateConstants value.

Syntax

[Set] object.State [= UMLeApplicationStateConstants]

The State property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Application.
UMLeApplicationStateConstants | An UMLeApplicationStateConstants value.


TemplateWizard property

Property type

A Boolean value.

Syntax

object.TemplateWizard [= value]

The TemplateWizard property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
value | A Boolean value.


TemplateWizardImage property

Property type

A StdPicture object.

Syntax

[Set] object.TemplateWizardImage [= StdPicture]

The TemplateWizardImage property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AddIn.
StdPicture | A StdPicture object.


Toolbox property

Property type

A Toolbox object.

Syntax

[Set] object.Toolbox [= Toolbox]

The Toolbox property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Interface.
Toolbox | A Toolbox object.


ToolTipText property

Property type

A String value.

Syntax

object.ToolTipText [= value]

The ToolTipText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
value | A String value.


Value property

Property type

A ValueConstants object.

Syntax

object.Value

The Value property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.


Visible property

Property type

A Boolean value.

Syntax

object.Visible [= value]

The Visible property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Menu.
value | A Boolean value.


Visible property

Property type

A Boolean value.

Syntax

object.Visible [= value]

The Visible property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ToolButton.
value | A Boolean value.


AreaSelected event

Syntax

Sub object_AreaSelected(X1, X2, Y1, Y2, Cancel)

The AreaSelected event syntax has these parts:

Part | Description
object | An ActiveEditor object.
X1 | A Long value.
X2 | A Long value.
Y1 | A Long value.
Y2 | A Long value.
Cancel | A Boolean value.


CellInstanceClick event

Syntax

Sub object_CellInstanceClick(CellInstance)

The CellInstanceClick event syntax has these parts:

Part | Description
object | An ActiveEditor object.
CellInstance | A CellInstance object.


CellInstanceDblClick event

Syntax

Sub object_CellInstanceDblClick(CellInstance)

The CellInstanceDblClick event syntax has these parts:

Part | Description
object | An ActiveEditor object.
CellInstance | A CellInstance object.


Click event

Syntax

Sub object_Click()

The Click event syntax has these parts:

Part | Description
object | An ActiveEditor object.


Click event

Syntax

Sub object_Click()

The Click event syntax has these parts:

Part | Description
object | A Menu object.


Click event

Syntax

Sub object_Click()

The Click event syntax has these parts:

Part | Description
object | A ToolButton object.


HorizontalLine event

Syntax

Sub object_HorizontalLine(y)

The HorizontalLine event syntax has these parts:

Part | Description
object | An ActiveEditor object.
y | A Long value.


NewProject event

Syntax

Sub object_NewProject(newLayoutProject, Cancel)

The NewProject event syntax has these parts:

Part | Description
object | A TemplateWizard object.
newLayoutProject | A LayoutProject object.
Cancel | A Boolean value.


RectangleClick event

Syntax

Sub object_RectangleClick(Rectangle)

The RectangleClick event syntax has these parts:

Part | Description
object | An ActiveEditor object.
Rectangle | A Rectangle object.


RectangleDblClick event

Syntax

Sub object_RectangleDblClick(Rectangle)

The RectangleDblClick event syntax has these parts:

Part | Description
object | An ActiveEditor object.
Rectangle | A Rectangle object.


SelectionChanged event

Syntax

Sub object_SelectionChanged()

The SelectionChanged event syntax has these parts:

Part | Description
object | An ActiveEditor object.


Unload event

This is the event used by the UMLe starter. When this event is fired the starter knows that the main aplication has been terminated by the end user.

Syntax

Sub object_Unload()

The Unload event syntax has these parts:

Part | Description
object | An Application object.


VerticalLine event

Syntax

Sub object_VerticalLine(x)

The VerticalLine event syntax has these parts:

Part | Description
object | An ActiveEditor object.
x | A Long value.


ZoomAreaSelected event

Syntax

Sub object_ZoomAreaSelected(X1, X2, Y1, Y2, Cancel)

The ZoomAreaSelected event syntax has these parts:

Part | Description
object | An ActiveEditor object.
X1 | A Long value.
X2 | A Long value.
Y1 | A Long value.
Y2 | A Long value.
Cancel | A Boolean value.


UMLeApplicationStateConstants enumeration

Members

Constant | Description
UMLeApplicationStateNoProject |
UMLeApplicationStateProjectOpened |


UMLeEditorTypeConstants enumeration

Members

Constant | Description
UMLeEditorTypeSelection | Selecção de rectângulos
UMLeEditorTypeZoom | Zoom à selecção
UMLeEditorTypeRectangleLayer | Rectangulo de uma dada Layer
UMLeEditorTypeHorizontalLine |
UMLeEditorTypeVerticalLine |


UMLeXtensionAddInType enumeration

Members

Constant | Description
UMLeXtensionAddInTypeMenu |
UMLeXtensionAddInTypeToolBox |
UMLeXtensionAddInTypeProjectWizard |